%define upstream_name Unicode-EastAsianWidth
%define upstream_version 12.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    East Asian Width properties
License:    CC0
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildArch:  noarch

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This module provide user-defined Unicode properties that deal with width
status of East Asian characters, as specified in
<http://www.unicode.org/unicode/reports/tr11/>.

It exports the following functions to the caller's scope, to be used by
Perl's Unicode matching system: "InEastAsianFullwidth",
"InEastAsianHalfwidth", "InEastAsianAmbiguous", "InEastAsianNarrow"
"InEastAsianWide", "InEastAsianNeutral".

In accord to TR11 cited above, two additional context-sensitive
properties are exported: "InFullwidth" (union of "Fullwidth" and "Wide")
and "InHalfwidth" (union of "Halfwidth", "Narrow" and "Neutral").

*Ambiguous* characters are treated by default as part of "InHalfwidth",
but you can modify this behaviour by assigning a true value to
$Unicode::EastAsianWidth::EastAsian at compile time within a "BEGIN"
block before loading this module:

    BEGIN { $Unicode::EastAsianWidth::EastAsian = 1; }
    use Unicode::EastAsianWidth;

Setting $Unicode::EastAsianWidth::EastAsian at run-time used to work on
Perl versions between 5.8 and 5.14 due to an implementation detail, but
it will no longer work on Perl 5.16 and later versions, and hence is not
recommended.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 12.0.0-3.mga9
+ Revision: 1811911
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 12.0.0-2.mga8
+ Revision: 1530593
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 04 2019 tv <tv> 12.0.0-1.mga8
+ Revision: 1436913
- update to 12.0

* Sat Nov 24 2018 tv <tv> 1.400.0-1.mga7
+ Revision: 1333929
- update to 1.40

* Thu Sep 20 2018 umeabot <umeabot> 1.330.0-10.mga7
+ Revision: 1287150
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.330.0-9.mga7
+ Revision: 1167221
- rebuild with fixed rpm for missing autodeps

* Fri Sep 29 2017 tv <tv> 1.330.0-8.mga7
+ Revision: 1161479
- add BR on perl(inc::Module::Package)

* Sun Jun 19 2016 pterjan <pterjan> 1.330.0-7.mga6
+ Revision: 1035438
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.330.0-6.mga6
+ Revision: 937450
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.330.0-5.mga6
+ Revision: 937003
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.330.0-4.mga5
+ Revision: 741946
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.330.0-3.mga5
+ Revision: 732584
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.330.0-2.mga5
+ Revision: 686787
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 sander85 <sander85> 1.330.0-1.mga5
+ Revision: 662660
- imported package perl-Unicode-EastAsianWidth

